import * as React from 'react';
interface Props {
    scaleFactor?: number;
    wheelMax?: number;
    touchSensitivity?: number;
    onPanStart?: Function;
    onPan?: Function;
    onPanEnd?: Function;
    onPinchStart?: Function;
    onPinch?: Function;
    onPinchEnd?: Function;
    onTranslate?: (x: number, y: number) => void;
    onScale?: (x: number, y: number) => void;
    onReset?: () => void;
}
export declare class Touch extends React.Component<Props, {}> {
    node: HTMLDivElement;
    lastX: number;
    lastY: number;
    panStart: DOMPoint;
    panned: boolean;
    touchCache: React.Touch[];
    lastDistance: number;
    zoomLevel: number;
    componentDidMount(): void;
    componentWillUnmount(): void;
    _setup: (node: HTMLDivElement) => void;
    _reset: () => void;
    _updateCoordinatesMouse: (event: React.MouseEvent<HTMLDivElement>) => void;
    _updateCoordinatesTouch: (event: React.TouchEvent<HTMLDivElement>) => void;
    _onMouseDown: (event: React.MouseEvent<HTMLDivElement>) => void;
    _onTouchStart: (event: React.TouchEvent<HTMLDivElement>) => void;
    _onPanStart: (event: any) => void;
    _onMouseMove: (event: React.MouseEvent<HTMLDivElement>) => void;
    _onTouchMove: (event: React.TouchEvent<HTMLDivElement>) => void;
    _onPanMove: (event: any) => void;
    _onMouseUp: (event: React.MouseEvent<HTMLDivElement>) => void;
    _onMouseLeave: (event: React.MouseEvent<HTMLDivElement>) => void;
    _onTouchEnd: (event: React.TouchEvent<HTMLDivElement>) => void;
    _onPanEnd: (event: any) => void;
    _zoom: (clicks: number) => void;
    _onPinchStart: (event: React.TouchEvent<HTMLDivElement>) => void;
    _onPinch: (event: React.TouchEvent<HTMLDivElement>) => void;
    _onPinchEnd: (event: React.TouchEvent<HTMLDivElement>) => void;
    _onWheel: (event: React.WheelEvent<HTMLDivElement>) => void;
    render(): JSX.Element;
}
export {};
